#include <testlib.h>

const int maxn = 100000;
const int maxk = 100000;
const int maxp = 100000;
const int maxt = 10000;

int main()
{
  registerValidation();
  int n = inf.readInt(1, maxn);
  inf.readSpace();
  int k = inf.readInt(1, maxk);
  inf.readSpace();
  inf.readInt(1, maxp);
  inf.readEoln();
  for (int i = 0; i < n; i++)
  {
    inf.readToken("[+-]");
    inf.readSpace();
    inf.readInt(1, k);
    inf.readSpace();
    inf.readInt(1, maxt);
    inf.readEoln();
  }
  inf.readEof();
  return 0;
}

